# DataExchange
TKSTEPBase
StepGeom

# StepGeom_QuasiUniformCurveAndRationalBSplineCurve Class Reference

`#include <StepGeom_QuasiUniformCurveAndRationalBSplineCurve.hxx>`

Inheritance diagram for StepGeom_QuasiUniformCurveAndRationalBSplineCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_QuasiUniformCurveAndRationalBSplineCurve ()
| Returns a QuasiUniformCurveAndRationalBSplineCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect)

virtual Standard_EXPORT void

Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect, const Handle(StepGeom_QuasiUniformCurve)&aQuasiUniformCurve, const Handle(StepGeom_RationalBSplineCurve)&aRationalBSplineCurve)

virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect, const Handle(TColStd_HArray1OfReal)&aWeightsData)
Standard_EXPORT void | SetQuasiUniformCurve (const Handle(StepGeom_QuasiUniformCurve)&aQuasiUniformCurve)
Standard_EXPORT Handle_StepGeom_QuasiUniformCurve | QuasiUniformCurve () const
Standard_EXPORT void | SetRationalBSplineCurve (const Handle(StepGeom_RationalBSplineCurve)&aRationalBSplineCurve)
Standard_EXPORT Handle_StepGeom_RationalBSplineCurve | RationalBSplineCurve () const
Standard_EXPORT void | SetWeightsData (const Handle(TColStd_HArray1OfReal)&aWeightsData)
Standard_EXPORT Handle_TColStd_HArray1OfReal | WeightsData () const
Standard_EXPORT Standard_Real | WeightsDataValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbWeightsData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_QuasiUniformCurve | quasiUniformCurve
Handle_StepGeom_RationalBSplineCurve | rationalBSplineCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_QuasiUniformCurveAndRationalBSplineCurve::StepGeom_QuasiUniformCurveAndRationalBSplineCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_QuasiUniformCurveAndRationalBSplineCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BSplineCurve.

virtual Standard_EXPORT void StepGeom_QuasiUniformCurveAndRationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(TColStd_HArray1OfReal)& | aWeightsData
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_QuasiUniformCurveAndRationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(StepGeom_QuasiUniformCurve)& | aQuasiUniformCurve,
|  | const Handle(StepGeom_RationalBSplineCurve)& | aRationalBSplineCurve
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_QuasiUniformCurveAndRationalBSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

| Reimplemented from StepGeom_BSplineCurve.

Standard_EXPORT Standard_Integer StepGeom_QuasiUniformCurveAndRationalBSplineCurve::NbWeightsData | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_QuasiUniformCurve StepGeom_QuasiUniformCurveAndRationalBSplineCurve::QuasiUniformCurve | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_RationalBSplineCurve StepGeom_QuasiUniformCurveAndRationalBSplineCurve::RationalBSplineCurve | ( |  | ) | const

Standard_EXPORT void StepGeom_QuasiUniformCurveAndRationalBSplineCurve::SetQuasiUniformCurve | ( | const Handle(StepGeom_QuasiUniformCurve)& | aQuasiUniformCurve | ) |

Standard_EXPORT void StepGeom_QuasiUniformCurveAndRationalBSplineCurve::SetRationalBSplineCurve | ( | const Handle(StepGeom_RationalBSplineCurve)& | aRationalBSplineCurve | ) |

Standard_EXPORT void StepGeom_QuasiUniformCurveAndRationalBSplineCurve::SetWeightsData | ( | const Handle(TColStd_HArray1OfReal)& | aWeightsData | ) |

Standard_EXPORT Handle_TColStd_HArray1OfReal StepGeom_QuasiUniformCurveAndRationalBSplineCurve::WeightsData | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_QuasiUniformCurveAndRationalBSplineCurve::WeightsDataValue | ( | const Standard_Integer | num | ) | const

## Field Documentation

Handle_StepGeom_QuasiUniformCurve StepGeom_QuasiUniformCurveAndRationalBSplineCurve::quasiUniformCurve`[private]`

Handle_StepGeom_RationalBSplineCurve StepGeom_QuasiUniformCurveAndRationalBSplineCurve::rationalBSplineCurve`[private]`

The documentation for this class was generated from the following file:

- StepGeom_QuasiUniformCurveAndRationalBSplineCurve.hxx